Package picard.vcf

## Class CollectVariantCallingMetrics.VariantCallingSummaryMetrics

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.analysis.MergeableMetricBase
    - - picard.vcf.CollectVariantCallingMetrics.VariantCallingSummaryMetrics

- Direct Known Subclasses:
    `CollectVariantCallingMetrics.VariantCallingDetailMetrics`
  Enclosing class:
    CollectVariantCallingMetrics

      public static class CollectVariantCallingMetrics.VariantCallingSummaryMetrics
      extends MergeableMetricBase

  A collection of metrics relating to snps and indels within a variant-calling file (VCF).

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class picard.analysis.MergeableMetricBase

      `MergeableMetricBase.MergeByAdding, MergeableMetricBase.MergeByAssertEquals, MergeableMetricBase.MergingIsManual, MergeableMetricBase.NoMergingIsDerived, MergeableMetricBase.NoMergingKeepsValue`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `double` | `DBSNP_INS_DEL_RATIO` | The Insertion/Deletion ratio of the indel calls made at dbSNP sites
    `double` | `DBSNP_TITV` | The Transition/Transversion ratio of the passing bi-allelic SNP calls made at dbSNP sites
    `long` | `FILTERED_INDELS` | The number of indels that are filtered
    `long` | `FILTERED_SNPS` | The number of SNPs that are filtered
    `long` | `NOVEL_INDELS` | The number of passing indels called that were not found in dbSNP
    `double` | `NOVEL_INS_DEL_RATIO` | The Insertion/Deletion ratio of the indel calls made at non-dbSNP sites
    `long` | `NOVEL_SNPS` | The number of passing bi-allelic SNPS called that were not found in dbSNP
    `double` | `NOVEL_TITV` | The Transition/Transversion ratio of the passing bi-allelic SNP calls made at non-dbSNP sites
    `long` | `NUM_IN_DB_SNP` | The number of passing bi-allelic SNPs found in dbSNP
    `double` | `NUM_IN_DB_SNP_COMPLEX_INDELS` | The number of passing complex indels found in dbSNP
    `long` | `NUM_IN_DB_SNP_INDELS` | The number of passing indels found in dbSNP
    `double` | `NUM_IN_DB_SNP_MULTIALLELIC` | The number of passing multi-allelic SNPs found in dbSNP
    `long` | `NUM_SINGLETONS` | For summary metrics, the number of variants that appear in only one sample.
    `float` | `PCT_DBSNP` | The fraction of passing bi-allelic SNPs in dbSNP
    `float` | `PCT_DBSNP_INDELS` | The fraction of passing indels in dbSNP
    `double` | `SNP_REFERENCE_BIAS` | The rate at which reference bases are observed at ref/alt heterozygous SNP sites.
    `double` | `TOTAL_COMPLEX_INDELS` | The number of passing complex indel calls that were examined
    `long` | `TOTAL_INDELS` | The number of passing indel calls that were examined
    `double` | `TOTAL_MULTIALLELIC_SNPS` | The number of passing multi-allelic SNP calls that were examined
    `long` | `TOTAL_SNPS` | The number of passing bi-allelic SNPs calls (i.e.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VariantCallingSummaryMetrics()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `calculateDerivedFields()` | Placeholder method that will calculate the derived fields from the other ones.
    `void` | `calculateFromDerivedFields​(long totalHetDepth)` |
    `static <T extends CollectVariantCallingMetrics.VariantCallingSummaryMetrics> void` | `foldInto​(T target, Collection<T> metrics)` |
    `static String` | `getFileExtension()` |

    - ### Methods inherited from class picard.analysis.MergeableMetricBase

      `canMerge, merge, merge, mergeIfCan`

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TOTAL_SNPS

          public long TOTAL_SNPS

      The number of passing bi-allelic SNPs calls (i.e. non-reference genotypes) that were examined

    - #### NUM_IN_DB_SNP

          public long NUM_IN_DB_SNP

      The number of passing bi-allelic SNPs found in dbSNP

    - #### NOVEL_SNPS

          public long NOVEL_SNPS

      The number of passing bi-allelic SNPS called that were not found in dbSNP

    - #### FILTERED_SNPS

          public long FILTERED_SNPS

      The number of SNPs that are filtered

    - #### PCT_DBSNP

          public float PCT_DBSNP

      The fraction of passing bi-allelic SNPs in dbSNP

    - #### DBSNP_TITV

          public double DBSNP_TITV

      The Transition/Transversion ratio of the passing bi-allelic SNP calls made at dbSNP sites

    - #### NOVEL_TITV

          public double NOVEL_TITV

      The Transition/Transversion ratio of the passing bi-allelic SNP calls made at non-dbSNP sites

    - #### TOTAL_INDELS

          public long TOTAL_INDELS

      The number of passing indel calls that were examined

    - #### NOVEL_INDELS

          public long NOVEL_INDELS

      The number of passing indels called that were not found in dbSNP

    - #### FILTERED_INDELS

          public long FILTERED_INDELS

      The number of indels that are filtered

    - #### PCT_DBSNP_INDELS

          public float PCT_DBSNP_INDELS

      The fraction of passing indels in dbSNP

    - #### NUM_IN_DB_SNP_INDELS

          public long NUM_IN_DB_SNP_INDELS

      The number of passing indels found in dbSNP

    - #### DBSNP_INS_DEL_RATIO

          public double DBSNP_INS_DEL_RATIO

      The Insertion/Deletion ratio of the indel calls made at dbSNP sites

    - #### NOVEL_INS_DEL_RATIO

          public double NOVEL_INS_DEL_RATIO

      The Insertion/Deletion ratio of the indel calls made at non-dbSNP sites

    - #### TOTAL_MULTIALLELIC_SNPS

          public double TOTAL_MULTIALLELIC_SNPS

      The number of passing multi-allelic SNP calls that were examined

    - #### NUM_IN_DB_SNP_MULTIALLELIC

          public double NUM_IN_DB_SNP_MULTIALLELIC

      The number of passing multi-allelic SNPs found in dbSNP

    - #### TOTAL_COMPLEX_INDELS

          public double TOTAL_COMPLEX_INDELS

      The number of passing complex indel calls that were examined

    - #### NUM_IN_DB_SNP_COMPLEX_INDELS

          public double NUM_IN_DB_SNP_COMPLEX_INDELS

      The number of passing complex indels found in dbSNP

    - #### SNP_REFERENCE_BIAS

          public double SNP_REFERENCE_BIAS

      The rate at which reference bases are observed at ref/alt heterozygous SNP sites.

    - #### NUM_SINGLETONS

          public long NUM_SINGLETONS

      For summary metrics, the number of variants that appear in only one sample. For detail metrics, the number of variants that appear only in the current sample.

  - ### Constructor Detail

    - #### VariantCallingSummaryMetrics

          public VariantCallingSummaryMetrics()

  - ### Method Detail

    - #### getFileExtension

          public static String getFileExtension()

    - #### calculateDerivedFields

          public void calculateDerivedFields()

      Description copied from class: `MergeableMetricBase`
      Placeholder method that will calculate the derived fields from the other ones. Classes that are derived from non-trivial derived classes should consider calling super.calculateDerivedFields() as well. Fields whose value will change due to this method should be annotated with `NoMergingKeepsValue`.
      Overrides:
        `calculateDerivedFields` in class `MergeableMetricBase`

    - #### calculateFromDerivedFields

          public void calculateFromDerivedFields​(long totalHetDepth)

    - #### foldInto

          public static <T extends CollectVariantCallingMetrics.VariantCallingSummaryMetrics> void foldInto​(T target,
                                                                                                            Collection<T> metrics)